<app-header-logged pageOrigine="/contrat">
    <ion-back-button text="" defaultHref="/mes-contrats"></ion-back-button>
</app-header-logged>

<ion-content>
    <app-refresher></app-refresher>

    <marquee behavior="alternate" scrolldelay="100" scrollamount="4" direction="right" style="color: secondary; font-size: 13px;">

        <ion-text color="secondary">
            L'assurance de votre toyota expire bientot
        </ion-text>

    </marquee>
    <ion-card class="background">
        <div class="contentBlock titrePage">
            <p>
                <img class="iconeVoiture" src="../../assets/icon/car.svg">
            </p>
            <p>
                CONTRAT

            </p>
            <p>
                Police :{{contrat.police}}

            </p>

            <p class="colonneListe statusLight statusRas "> </p>
        </div>
        <div class="contentBlock" (click)="renouveller()">
            <p class="fileButton">
                <ion-label>
                    Renouveller
                    <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                </ion-label>
            </p>
            <p class="fileButton">
                <ion-label>
                    Résilier
                    <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                </ion-label>
            </p>

        </div>
        <div class="contentBlock titreSection ">
            <p>
                <img class="iconeVoiture" [src]="urlApiLogo+contrat.myCA.id">
            </p>
            <p class="heading">
                COMPAGNIE
            </p>
            <div class="image" *ngIf="!titreStatutVisible" (click)="affichageDetails(titreStatutParam,true)">

                <img src="../../assets/icon/details.svg">
            </div>
            <div class="image" *ngIf="titreStatutVisible" (click)="affichageDetails(titreStatutParam,false)">
                <img src="../../assets/icon/close.svg">
            </div>
        </div>


        <div *ngIf="titreStatutVisible">
            <div class="contentBlock">
                <p class="titleColor">Compagnie d'Assurance </p>
                <p> {{contrat.myCA.nom}} </p>
            </div>
            <!-- <div class="contentBlock">
                <p> Reseau </p>
                <p> {{contrat.reseau.nom}} </p>
            </div> -->
            <div class="contentBlock">
                <p class="titleColor">Branche</p>
                <p *ngIf="this.contrat.branche !=null">{{this.contrat.branche.parent.libelle}} </p>
            </div>
            <div class="contentBlock">
                <p class="titleColor">Catégorie </p>
                <p *ngIf="this.contrat.branche !=null">{{this.contrat.branche.libelle}}</p>
            </div>
            <div class="contentBlock">
                <p class="titleColor">Numero Police </p>
                <p>{{contrat.police}} </p>
            </div>




        </div>
        <div class="contentBlock titreSection ">

            <p class="heading">
                INFORMATIONS CLIENT
            </p>
            <div class="image" *ngIf="!infoClientVisible" (click)="affichageDetails(infoClientParam,true)">

                <img src="../../assets/icon/details.svg">
            </div>
            <div class="image" *ngIf="infoClientVisible" (click)="affichageDetails(infoClientParam,false)">
                <img src="../../assets/icon/close.svg">
            </div>
        </div>


        <div *ngIf="infoClientVisible">
            <div class="contentBlock">
                <p class="titleColor">Client : </p>
                <p> {{this.connectedClient.prenom+" "+this.connectedClient.nom}} </p>
            </div>
            <div class="contentBlock">
                <p class="titleColor">Télephone :</p>
                <p> {{this.connectedClient.telephone}} </p>
            </div>
            <!-- <div class="contentBlock">
                <p> Numéro Client: </p>
                <p> {{contrat.client.cni}} </p>
            </div> -->
            <div class="contentBlock">
                <p class="titleColor">Email:</p>
                <p>{{this.connectedClient.email}} </p>
            </div>
            <div class="contentBlock">
                <p class="titleColor">Adresse :</p>
                <p>{{this.connectedClient.adresse}}</p>
            </div>

        </div>
        <div class="contentBlock titreSection ">

            <p class="heading">
                DOCUMENTS CONTRAT
            </p>
            <div class="image" *ngIf="!condDispVisible" (click)="affichageDetails(condDispParam,true)">

                <img src="../../assets/icon/details.svg">
            </div>
            <div class="image" *ngIf="condDispVisible" (click)="affichageDetails(condDispParam,false)">
                <img src="../../assets/icon/close.svg">
            </div>
        </div>
        <div class="ConditionsDisposition" *ngIf="condDispVisible">
            <p> {{ba.typeBA.ConditionsDisposition}} </p>
        </div>

    </ion-card>

    <ion-card class="background">
        <div class="contentBlock titreSection ">
            <p class="heading">OPERATIONS</p>
            <div class="sousImage" *ngIf="!operationVisible" (click)="affichageDetails(operationParam,true)">

                <img src="../../assets/icon/details.svg">
            </div>
            <div class="sousImage" *ngIf="operationVisible" (click)="affichageDetails(operationParam,false)">
                <img src="../../assets/icon/close.svg">
            </div>
        </div>


        <ion-grid *ngIf="operationVisible" no-padding>
            <ion-row no-margin>

                <ion-col text-center>
                    <p class="colonneListe"> Operation</p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe"> type</p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe">
                        <ion-text>Date effet </ion-text>
                    </p>
                </ion-col>

                <ion-col text-center>
                    <p class="colonneListe"> Date Cloture </p>
                </ion-col>
                <ion-col text-center>
                    <p class="colonneListe"> Statut </p>
                </ion-col>
                <ion-col size="0.4">
                    <!-- <p class ="colonneListe"> Statuts   </p> -->
                </ion-col>
                <ion-col size="1">
                    <!-- <p class ="colonneListe"> Statuts   </p> -->
                </ion-col>

            </ion-row>
            <div *ngFor="let item of itemsOperation;">
                <ion-row no-margin class=" rowItem rowItemOperation" detail="false">
                    <ion-col text-center>

                        <p class="colonneListe">{{item.operation.id}}</p>
                    </ion-col>

                    <ion-col text-center>
                        <p class="colonneListe">{{item.operation.intitule}}</p>
                    </ion-col>


                    <ion-col text-center>
                        <p class="colonneListe"> {{utilsService.displayDate(item.operation.dateEffet)}} </p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> {{utilsService.displayDate(item.operation.dateCloture)}} </p>
                    </ion-col>
                    <ion-col text-center>
                        <p class="colonneListe"> {{item.operation.statut}}</p>
                    </ion-col>

                    <ion-col text-left size="0.4">
                        <p class="colonneListe statusLight " [ngClass]="[(item.operation.statut== statutContratValideNonActifLoc || item.operation.statut== statutContratActifLoc) ?'statusRas':'',item.operation.statut==statutContratEnCoursDeValidationLoc?'statusAlerte':'',(item.operation.statut== statutContratExpireLoc || item.operation.statut==statutContratResilieLoc || item.operation.statut == statutContratSuspenduLoc )?'statusDepasse':'']">
                        </p>
                    </ion-col>
                    <ion-col size="1">
                        <div class="sousImage" *ngIf="!item.zippedDetailOperation" (click)="affichageDetailsItemOperation(item,zippedDetailOperation,true)">

                            <img src="../../assets/icon/details.svg">
                        </div>
                        <div class="sousImage" *ngIf="item.zippedDetailOperation" (click)="affichageDetailsItemOperation(item,zippedDetailOperation,false)">
                            <img src="../../assets/icon/close.svg">
                        </div>
                    </ion-col>

                </ion-row>

                <ion-card class="background backgroundOperation">

                    <div *ngIf="item.zippedDetailOperation">
                        <div class="contentBlock titreSection titreSousSection">
                            <p class="heading"> PERIODE VALIDITE</p>
                            <div class="sousImage" *ngIf="!item.zippedPeriode" (click)="affichageDetailsItemOperation(item,zippedPeriode,true)">

                                <img src="../../assets/icon/details.svg">
                            </div>
                            <div class="sousImage" *ngIf="item.zippedPeriode" (click)="affichageDetailsItemOperation(item,zippedPeriode,false)">
                                <img src="../../assets/icon/close.svg">
                            </div>
                        </div>
                        <div *ngIf="item.zippedPeriode">
                            <div class="contentBlock">
                                <p> Date Effet:</p>
                                <p> {{utilsService.displayDate(item.operation.dateEffet)}}</p>
                            </div>
                            <div class="contentBlock">
                                <p> Date Cloture:</p>
                                <p> {{utilsService.displayDate(item.operation.dateEffet)}}</p>
                            </div>
                        </div>



                        <div class="contentBlock titreSection titreSousSection">
                            <p class="heading" *ngIf="item.operation.objetAssures">OBJETS ASSURES ( {{item.operation.objetAssures.length}} )</p>
                            <div class="sousImage" *ngIf="!item.zippedObjetsAssures" (click)="affichageDetailsItemOperation(item,zippedObjetsAssures,true)">

                                <img src="../../assets/icon/details.svg">
                            </div>
                            <div class="sousImage" *ngIf="item.zippedObjetsAssures" (click)="affichageDetailsItemOperation(item,zippedObjetsAssures,false)">
                                <img src="../../assets/icon/close.svg">
                            </div>
                        </div>
                        <div *ngIf="item.zippedObjetsAssures">
                            <div *ngFor="let objet of item.operation.objetAssures;let i= index">
                                <div class="contentBlock titreVehicule">
                                    <p> Véhicule {{i+1}}: </p>
                                    <p> {{objet.marque+" "+objet.modele+" "+objet.matricule}} </p>
                                </div>
                                <!-- <div class="contentBlock">
              <p> Nombre de places:    </p>
              <p> {{objet.nombrePlaces}} </p>
            </div>
            <div class="contentBlock">
              <p> Energie:  </p>
              <p> {{objet.carburant}}</p>
            </div>
            <div class="contentBlock">
              <p> Véhicule :  </p>
              <p> {{objet.marque+" "+objet.modele}} </p>
            </div>
            <div class="contentBlock">
              <p> Fin visite technique:  </p>
              <p [ngClass]="objet.controleTechnique.dateValidite<date?'controleExpire':''">{{utilsService.displayDate(objet.controleTechnique.dateValidite)}}
                <span class ="controleExpire" *ngIf="objet.controleTechnique.dateValidite<date">
                  &nbsp;<ion-icon name = "time"></ion-icon>&nbsp;dépassé</span>
                </p>
              </div>

              <div class="contentBlock">
                <p> Puissance :   </p>
                <p> {{objet.puissanceFiscale}}</p>
              </div>
              <div class="contentBlock">
                <p> Mise en circulation : </p>
                <p> {{objet.annee}} </p>
              </div>
              <div class="contentBlock">
                <p> Valeur déclarée:   </p>
                <p>{{objet.valeurDeclarative}}</p>
              </div> -->

                                <div class="contentBlock titreSection titreSousSousSection">
                                    <p class="heading">RISQUES COUVERTS</p>
                                    <!-- <div class="sousImage" *ngIf="!operationVisible" (click)="affichageDetails(operationParam,true)">

                  <img src="../../assets/icon/details.svg">
                </div>
                <div class="sousImage" *ngIf="operationVisible" (click)="affichageDetails(operationParam,false)">
                  <img src="../../assets/icon/close.svg">
                </div> -->
                                </div>



                            </div>

                        </div>
                        <div class="contentBlock titreSection titreSousSection">
                            <p class="heading">DOCUMENTS OPERATION</p>
                            <div class="image" *ngIf="!item.zippedDocument" (click)="affichageDetailsItemOperation(item,zippedDocument,true)">

                                <img src="../../assets/icon/details.svg">
                            </div>
                            <div class="image" *ngIf="item.zippedDocument" (click)="affichageDetailsItemOperation(item,zippedDocument,false)">
                                <img src="../../assets/icon/close.svg">
                            </div>
                        </div>
                        <div *ngIf="item.zippedDocument">
                            <div class="contentBlock">
                                <p>attestation:</p>
                                <p class="fileButton">
                                    <ion-label>
                                        Telecharger
                                        <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                                    </ion-label>
                                </p>
                            </div>

                            <div class="contentBlock">
                                <p>Recu paiement:</p>

                                <p class="fileButton">
                                    <ion-label>
                                        Telecharger
                                        <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                                    </ion-label>
                                </p>
                            </div>
                        </div>
                        <!-- <div  class="contentBlock titreSection titreSousSection">
            <p class="heading">CONDITIONS SPECIALES</p>
            <div class="sousImage" *ngIf="!item.zippedConditionsSpeciales" (click)="affichageDetailsItemOperation(item,zippedConditionsSpeciales,true)">

              <img src="../../assets/icon/details.svg">
            </div>
            <div class="sousImage" *ngIf="item.zippedConditionsSpeciales" (click)="affichageDetailsItemOperation(item,zippedConditionsSpeciales,false)">
              <img src="../../assets/icon/close.svg">
            </div>
          </div>  -->
                        <div class="contentBlock titreSection titreSousSection ">

                            <p class="heading">
                                PAIEMENT
                            </p>
                            <div class="image" *ngIf="!item.zippedPaiement" (click)="affichageDetailsItemOperation(item,zippedPaiement,true)">

                                <img src="../../assets/icon/details.svg">
                            </div>
                            <div class="image" *ngIf="item.zippedPaiement" (click)="affichageDetailsItemOperation(item,zippedPaiement,false)">
                                <img src="../../assets/icon/close.svg">
                            </div>
                        </div>
                        <div *ngIf="item.zippedPaiement">
                            <div class="contentBlock">
                                <p> REDUCTION</p>
                                <p></p>

                            </div>
                            <div class="contentBlock">
                                <p> Remise:</p>
                                <p></p>

                            </div>
                            <div class="contentBlock">
                                <p> Remise flotte:</p>
                                <p></p>

                            </div>
                            <div class="contentBlock">
                                <p> TVA</p>
                                <p></p>

                            </div>
                            <div class="contentBlock">
                                <p>FGA</p>
                                <p></p>

                            </div>
                            <div class="contentBlock">
                                <p> PRIME(TTC)</p>
                                <p>{{item.operation.paiement.montant}}</p>

                            </div>
                            <div class="contentBlock">
                                <p> FRAIS</p>
                                <p></p>

                            </div>



                        </div>
                        <div class="contentBlock" text center>
                            <p class="fileButton buttonOperation">
                                <ion-button>
                                    <ion-label>
                                        SUSPENDRE OPERATION
                                        <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                                    </ion-label>
                                </ion-button>
                            </p>
                            <p *ngIf="false" class="fileButton buttonOperation">
                                <ion-button>
                                    <ion-label>
                                        REACTIVER OPERATION
                                        <ion-icon name="ios-uploaddoc" color="blue" slot="end"></ion-icon>
                                    </ion-label>
                                </ion-button>
                            </p>

                        </div>
                    </div>


                </ion-card>

            </div>
        </ion-grid>
    </ion-card>



</ion-content>

<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>
